Subject: bug#18942: 2.4.3: Unable to build universal on OS X

From: Misty De Meo <[email-masked]>
Date: Tue, 4 Nov 2014 14:45:16 -0800

Thank you! I've applied the fix to our libtool package:
https://github.com/Homebrew/homebrew/commit/0f80370be66ddcfcea7c9d2ea20dd331f32e3eb1

Cheers,
Misty

On Tue, Nov 4, 2014 at 12:22 PM, Gary V. Vaughan <[email-masked]> wrote:

> Hi Misty,
>
> On Nov 4, 2014, at 4:56 AM, Misty De Meo <[email-masked]> wrote:
> > I'm unable to get libtool 2.4.3 to build universally on OS X. It fails
> while calling lipo while attempting to build libltdl.la.
> >
> > It looks like the `find` here is returning no files, which results in
> lipo being called with an output file but no input files:
> http://git.savannah.gnu.org/cgit/libtool.git/tree/build-aux/ltmain.in?id=5627a7f498e07a40b970c3a5ab5e74a5053e956f#n3243
> >
> > This occurs when attempting to build universal i386/x86_64 for OS X 10.6
> through 10.10, so it doesn't seem to be confined to a particular OS verison.
> >
> > I've attached verbose build logs (with silent rules disabled); they're
> also accessible online here: https://gist.github.com/9a4212e9f453dfcc813a
>
> Thanks for the detailed report.  Now fixed in master, so the fix will be
> in upcoming 2.4.4 (in about a week, depending how quickly the trickle of
> bug reports against 2.4.3 slow down noticeably).
>
> Patch attached incase you want to upload a patched 2.4.3 to homebrew in
> the interim.
>
> Cheers,
> --
> Gary V. Vaughan (gary AT gnu DOT org)
>
>